Bug 1334643 (CVE-2016-4569) - CVE-2016-4569 kernel: Information leak in Linux sound module in timer.c
Summary: CVE-2016-4569 kernel: Information leak in Linux sound module in timer.c
Status: NEW
Alias: CVE-2016-4569
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160508,reported=2...
Keywords: Security
Depends On: 1288993 1334645 1343107
Blocks: 1332934
TreeView+ depends on / blocked
 
Reported: 2016-05-10 08:31 UTC by Andrej Nemec
Modified: 2019-02-08 15:01 UTC (History)
29 users (show)

(edit)
A vulnerability was found in Linux kernel. There is an information leak in file "sound/core/timer.c" of the latest mainline Linux kernel, the stack object “tread” has a total size of 32 bytes. It contains a 8-bytes padding, which is not initialized but sent to user via copy_to_user(), resulting a kernel leak.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC
Red Hat Product Errata RHSA-2016:2584 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2016-11-03 12:08:49 UTC

Description Andrej Nemec 2016-05-10 08:31:14 UTC
A vulnerability was found in Linux kernel. There is an information leak in file sound/core/timer.c of the latest mainline Linux kernel, the stack object “tread” has a total size of 32 bytes. It contains a 8-bytes padding, which is not initialized but sent to user via copy_to_user, resulting a kernel leak.

External references:

http://comments.gmane.org/gmane.linux.kernel/2214250

CVE-ID request and assignment:

http://seclists.org/oss-sec/2016/q2/279

http://seclists.org/oss-sec/2016/q2/296

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?h=for-next&id=cec8f96e49d9be372fdb0c3836dcf31ec71e457e

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=cec8f96e49d9be372fdb0c3836dcf31ec71e457e

Comment 1 Andrej Nemec 2016-05-10 08:34:11 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1334645]

Comment 3 Andrej Nemec 2016-05-11 15:16:19 UTC
(In reply to Josh Boyer from comment #2)
> Fixes:
> 
> https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?h=for-
> next&id=cec8f96e49d9be372fdb0c3836dcf31ec71e457e

CVE-2016-4569 is for this issue only

> https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?h=for-
> next&id=9a47e9cff994f37f7f0dbd9ae23740d0f64f9fe6
> https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/?h=for-
> next&id=e4ec8cc8039a7063e24204299b462bd1383184a5

These two issues received CVE-2016-4578 today via:

http://seclists.org/oss-sec/2016/q2/316

I will create a new flaw without trackers for fedora.

Comment 4 Fedora Update System 2016-05-14 23:21:55 UTC
kernel-4.5.4-300.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-25 00:52:46 UTC
kernel-4.4.10-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-02 14:58:40 UTC
kernel-4.5.5-201.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Vladis Dronov 2016-06-06 13:51:07 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7 and MRG-2. Future Linux kernel updates for the respective releases might address this issue.

Comment 10 errata-xmlrpc 2016-11-03 16:30:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 11 errata-xmlrpc 2016-11-03 19:50:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html

Comment 12 errata-xmlrpc 2016-11-03 21:34:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 13 errata-xmlrpc 2016-11-03 21:49:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2584 https://rhn.redhat.com/errata/RHSA-2016-2584.html


Note You need to log in before you can comment on or make changes to this bug.